//package arpClasses.Interface;
//import arpClasses.Serialize.*;
//import arpClasses.Drawing.*;
import java.io.*;
import java.util.*;
/**
 * Object use to deserialize the arpGraph and shape records
 * @author Alan Sheung Chi MAK
 */
public class deserializeObject{
  
   public static Vector roadsShape;
   static{
     try {
      FileInputStream fis = new FileInputStream("roadsShape");
      ObjectInputStream ois = new ObjectInputStream(fis);
      
      System.out.println("Reading the shape objects...");
      roadsShape = (Vector)ois.readObject();
      
      System.out.println("Finish reading the shape objects...");
      fis.close();
      ois.close();
    }
    catch(Exception e) {
      System.err.println("Error: " + e);
    }
   }

  	
  	public static void main(String argv[]){};
}
 